Index: /trunk/SophyaPI/PIext/Makefile
===================================================================
--- /trunk/SophyaPI/PIext/Makefile	(revision 560)
+++ /trunk/SophyaPI/PIext/Makefile	(revision 561)
@@ -1,8 +1,9 @@
 MODULECXXREPNAME := PI
 MODULEDECCXXFLAGS := -msg_quiet
+MODULECPPFLAGS := -DSANS_EVOLPLANCK
 include ../Mgr/Makefile.h
  
 all: $(LIB)libPIext.a
-$(LIB)libPIext.a : $(OBJ)nobjmgr.o $(OBJ)piacmd.o $(OBJ)pigfd1.o $(OBJ)pigfd2.o $(OBJ)pihisto.o $(OBJ)pihisto2d.o $(OBJ)piinit.o $(OBJ)pintup3d.o $(OBJ)pintuple.o $(OBJ)pipodrw.o $(OBJ)pisiadw.o $(OBJ)pistdimgapp.o $(OBJ)pistlist.o $(OBJ)servnobjm.o
+$(LIB)libPIext.a : $(OBJ)basexecut.o $(OBJ)nobjmgr.o $(OBJ)nomgadapter.o $(OBJ)nomgfdadapter.o $(OBJ)nomhistadapter.o $(OBJ)nomimagadapter.o $(OBJ)nommatvecadapter.o $(OBJ)nomstladapter.o $(OBJ)pawexecut.o $(OBJ)piacmd.o $(OBJ)piafitting.o $(OBJ)pigfd1.o $(OBJ)pigfd2.o $(OBJ)pihisto.o $(OBJ)pihisto2d.o $(OBJ)piinit.o $(OBJ)pintup3d.o $(OBJ)pintuple.o $(OBJ)pipodrw.o $(OBJ)pisiadw.o $(OBJ)pistdimgapp.o $(OBJ)pistlist.o $(OBJ)servnobjm.o
 	$(AR) $(ARFLAGS)  $@ $? 
 ifeq ($(CXX),cxx)
@@ -11,567 +12,328 @@
  
 clean:
-	rm -f $(OBJ)nobjmgr.o $(OBJ)piacmd.o $(OBJ)pigfd1.o $(OBJ)pigfd2.o $(OBJ)pihisto.o $(OBJ)pihisto2d.o $(OBJ)piinit.o $(OBJ)pintup3d.o $(OBJ)pintuple.o $(OBJ)pipodrw.o $(OBJ)pisiadw.o $(OBJ)pistdimgapp.o $(OBJ)pistlist.o $(OBJ)servnobjm.o
+	rm -f $(OBJ)basexecut.o $(OBJ)nobjmgr.o $(OBJ)nomgadapter.o $(OBJ)nomgfdadapter.o $(OBJ)nomhistadapter.o $(OBJ)nomimagadapter.o $(OBJ)nommatvecadapter.o $(OBJ)nomstladapter.o $(OBJ)pawexecut.o $(OBJ)piacmd.o $(OBJ)piafitting.o $(OBJ)pigfd1.o $(OBJ)pigfd2.o $(OBJ)pihisto.o $(OBJ)pihisto2d.o $(OBJ)piinit.o $(OBJ)pintup3d.o $(OBJ)pintuple.o $(OBJ)pipodrw.o $(OBJ)pisiadw.o $(OBJ)pistdimgapp.o $(OBJ)pistlist.o $(OBJ)servnobjm.o
 ifeq ($(CXX),cxx)
 	cd $(REPM); rm -f *.o
 endif 
  
-$(OBJ)nobjmgr.o: nobjmgr.cc $(INC)strutil.h \
- $(INC)datatypes.h \
- $(INC)machine.h $(INC)defs.h \
- $(INC)fitsimage.h \
+$(OBJ)basexecut.o: basexecut.cc piacmd.h $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h dlftypes.h \
+ basexecut.h $(INC)pdlmgr.h \
+ $(INC)ctimer.h $(INC)peida.h \
+ $(INC)utils.h $(INC)perrors.h \
+ $(INC)exceptions.h $(INC)peidainit.h \
+ $(INC)fmath.h pistdimgapp.h \
+ $(INC)pisysdep.h $(INC)piapplx.h \
+ $(INC)piapplgen.h $(INC)pimsghandler.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h $(INC)piwdgx.h \
+ $(INC)piwdggen.h $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h $(INC)pimenux.h \
+ $(INC)pimenugen.h $(INC)picons.h \
+ $(INC)pistdwdgx.h $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h $(INC)pibwdggen.h \
+ $(INC)picmap.h $(INC)picmapx.h \
+ $(INC)picmapgen.h $(INC)pigraphx.h \
+ $(INC)pigraphgen.h $(INC)pifontx.h \
+ $(INC)pifontgen.h $(INC)pigraphuc.h \
+ $(INC)pievthandler.h $(INC)psfile.h \
+ $(INC)pigraphps.h $(INC)piwindowx.h \
+ $(INC)piwindowgen.h $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h $(INC)pifilechox.h \
+ $(INC)pifilechogen.h $(INC)piimage.h \
+ $(INC)parradapter.h $(INC)lut.h \
+ $(INC)pidrawer.h $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h $(INC)picmapview.h \
+ $(INC)pi3ddrw.h $(INC)pigraph3d.h \
+ nobjmgr.h $(INC)anydataobj.h \
+ $(INC)ppersist.h $(INC)pclassids.h \
+ pisiadw.h $(INC)pilistx.h \
+ $(INC)pilistgen.h $(INC)pistzwin.h \
+ $(INC)piperiodx.h $(INC)periodic.h \
+ servnobjm.h $(INC)histos.h \
+ $(INC)cvector.h $(INC)matrix.h \
+ $(INC)histos2.h $(INC)hisprof.h \
+ $(INC)ntuple.h $(INC)ntupintf.h \
+ $(INC)dvlist.h $(INC)generaldata.h \
+ $(INC)poly.h
+$(OBJ)nomgadapter.o: nomgadapter.cc $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ nomgadapter.h $(INC)ppersist.h \
+ $(INC)perrors.h $(INC)exceptions.h \
+ $(INC)peidainit.h $(INC)pclassids.h \
+ $(INC)anydataobj.h $(INC)pidrawer.h \
+ $(INC)pibwdggen.h $(INC)pisysdep.h \
+ $(INC)piwdgx.h $(INC)piwdggen.h \
+ $(INC)pimsghandler.h $(INC)picmap.h \
+ $(INC)picmapx.h $(INC)picmapgen.h \
+ $(INC)pigraphx.h $(INC)pigraphgen.h \
+ $(INC)pifontx.h $(INC)pifontgen.h \
+ $(INC)pigraphuc.h $(INC)pievthandler.h \
+ $(INC)psfile.h $(INC)parradapter.h \
+ $(INC)lut.h $(INC)ntupintf.h
+$(OBJ)nomimagadapter.o: nomimagadapter.cc $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ nomimagadapter.h nomgadapter.h $(INC)ppersist.h \
+ $(INC)perrors.h $(INC)exceptions.h \
+ $(INC)peidainit.h $(INC)pclassids.h \
+ $(INC)anydataobj.h $(INC)pidrawer.h \
+ $(INC)pibwdggen.h $(INC)pisysdep.h \
+ $(INC)piwdgx.h $(INC)piwdggen.h \
+ $(INC)pimsghandler.h $(INC)picmap.h \
+ $(INC)picmapx.h $(INC)picmapgen.h \
+ $(INC)pigraphx.h $(INC)pigraphgen.h \
+ $(INC)pifontx.h $(INC)pifontgen.h \
+ $(INC)pigraphuc.h $(INC)pievthandler.h \
+ $(INC)psfile.h $(INC)parradapter.h \
+ $(INC)lut.h $(INC)ntupintf.h \
  $(INC)cimage.h $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)perrors.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)dvlist.h \
- $(INC)fitsheader.h \
- $(INC)erosio.h $(INC)fitskeys.h \
- $(INC)erostape.h \
- $(INC)ptrarray.h \
- $(INC)voidptrarray.h \
- $(INC)basearray.h $(INC)peida.h \
- $(INC)utils.h $(INC)fmath.h \
- $(INC)array.h $(INC)lockfile.h \
- $(INC)erostarfile.h \
- $(INC)xstrstream.h \
- $(INC)dates.h $(INC)tarlib.h \
- nobjmgr.h dlftypes.h servnobjm.h $(INC)ctimer.h \
- $(INC)pdlmgr.h pistdimgapp.h \
- $(INC)pisysdep.h \
- $(INC)piapplx.h \
- $(INC)piapplgen.h \
- $(INC)pimsghandler.h \
- $(INC)picontainerx.h \
- $(INC)picontainergen.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)picons.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h \
- $(INC)pibwdggen.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraphps.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
- $(INC)pifilechox.h \
- $(INC)pifilechogen.h \
- $(INC)piimage.h \
- $(INC)parradapter.h $(INC)lut.h \
- $(INC)pidrawer.h \
- $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h \
- $(INC)picmapview.h \
- $(INC)pi3ddrw.h \
- $(INC)pigraph3d.h piacmd.h pisiadw.h \
- $(INC)pilistx.h \
- $(INC)pilistgen.h \
- $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h $(INC)poly.h \
- $(INC)cvector.h $(INC)matrix.h \
- $(INC)zfidu.h $(INC)fft.h \
- $(INC)fct1dfit.h \
- $(INC)generalfit.h \
- $(INC)generaldata.h \
- $(INC)fct2dfit.h pimgadapter.h pipodrw.h \
- $(INC)histos2.h $(INC)histos.h \
- pihisto.h $(INC)hisprof.h pihisto2d.h \
- $(INC)piscdrawwdg.h pintuple.h \
- $(INC)ntuple.h $(INC)pisurfdr.h \
- pintup3d.h pigfd1.h pigfd2.h pistlist.h \
+ $(INC)rzvect.h $(INC)datatypes.h \
+ $(INC)dvlist.h pimgadapter.h
+$(OBJ)nomstladapter.o: nomstladapter.cc $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ nomstladapter.h nomgadapter.h $(INC)ppersist.h \
+ $(INC)perrors.h $(INC)exceptions.h \
+ $(INC)peidainit.h $(INC)pclassids.h \
+ $(INC)anydataobj.h $(INC)pidrawer.h \
+ $(INC)pibwdggen.h $(INC)pisysdep.h \
+ $(INC)piwdgx.h $(INC)piwdggen.h \
+ $(INC)pimsghandler.h $(INC)picmap.h \
+ $(INC)picmapx.h $(INC)picmapgen.h \
+ $(INC)pigraphx.h $(INC)pigraphgen.h \
+ $(INC)pifontx.h $(INC)pifontgen.h \
+ $(INC)pigraphuc.h $(INC)pievthandler.h \
+ $(INC)psfile.h $(INC)parradapter.h \
+ $(INC)lut.h $(INC)ntupintf.h \
  $(INC)stlist.h $(INC)dynccd.h \
  $(INC)star.h $(INC)starmacro.h \
- $(INC)psf.h $(INC)pixelmap.h \
- $(INC)transfo.h $(INC)imgalig.h
-$(OBJ)piacmd.o: piacmd.cc $(INC)ctimer.h \
- $(INC)peida.h $(INC)defs.h \
- $(INC)utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h $(INC)fmath.h \
- nobjmgr.h $(INC)ppersist.h \
- $(INC)pclassids.h dlftypes.h piacmd.h \
- $(INC)pdlmgr.h pistdimgapp.h \
- $(INC)pisysdep.h \
- $(INC)piapplx.h \
- $(INC)piapplgen.h \
- $(INC)pimsghandler.h \
- $(INC)picontainerx.h \
- $(INC)picontainergen.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)picons.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h \
- $(INC)pibwdggen.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraphps.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
- $(INC)pifilechox.h \
- $(INC)pifilechogen.h \
- $(INC)piimage.h \
- $(INC)parradapter.h $(INC)lut.h \
- $(INC)pidrawer.h \
- $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h \
- $(INC)picmapview.h \
- $(INC)pi3ddrw.h \
- $(INC)pigraph3d.h pisiadw.h \
- $(INC)pilistx.h \
- $(INC)pilistgen.h \
- $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h $(INC)histos.h \
- $(INC)cvector.h $(INC)matrix.h \
- $(INC)histos2.h $(INC)hisprof.h \
- $(INC)ntuple.h $(INC)dvlist.h \
- $(INC)generaldata.h \
- $(INC)poly.h $(INC)psf.h \
+ $(INC)psf.h $(INC)peida.h \
+ $(INC)utils.h $(INC)fmath.h \
  $(INC)cimage.h $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)datatypes.h $(INC)star.h \
- $(INC)starmacro.h \
- $(INC)fct1dfit.h \
- $(INC)generalfit.h \
- $(INC)fct2dfit.h \
- $(INC)pixelmap.h $(INC)dynccd.h \
- pimgadapter.h $(INC)nbmath.h \
- $(INC)nbtri.h
+ $(INC)rzvect.h $(INC)datatypes.h \
+ $(INC)dvlist.h $(INC)fct1dfit.h \
+ $(INC)generalfit.h $(INC)matrix.h \
+ $(INC)cvector.h $(INC)generaldata.h \
+ $(INC)poly.h $(INC)fct2dfit.h \
+ $(INC)pixelmap.h $(INC)transfo.h \
+ $(INC)zfidu.h $(INC)imgalig.h \
+ $(INC)fitsimage.h $(INC)fitsheader.h \
+ $(INC)erosio.h $(INC)fitskeys.h \
+ $(INC)erostape.h $(INC)strutil.h \
+ $(INC)ptrarray.h $(INC)voidptrarray.h \
+ $(INC)basearray.h $(INC)array.h \
+ $(INC)lockfile.h $(INC)erostarfile.h \
+ $(INC)xstrstream.h $(INC)dates.h \
+ $(INC)tarlib.h pistlist.h
 $(OBJ)pigfd1.o: pigfd1.cc pigfd1.h $(INC)generaldata.h \
  $(INC)exceptions.h $(INC)defs.h \
- $(INC)peidainit.h \
- $(INC)ppersist.h \
+ $(INC)peidainit.h $(INC)ppersist.h \
  $(INC)machine.h $(INC)perrors.h \
- $(INC)pclassids.h $(INC)poly.h \
+ $(INC)pclassids.h $(INC)ntupintf.h \
+ $(INC)machdefs.h $(INC)poly.h \
  $(INC)peida.h $(INC)utils.h \
  $(INC)fmath.h $(INC)cvector.h \
  $(INC)matrix.h $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
+ $(INC)pibwdggen.h $(INC)pisysdep.h \
+ $(INC)piwdgx.h $(INC)piwdggen.h \
+ $(INC)pimsghandler.h $(INC)picmap.h \
+ $(INC)picmapx.h $(INC)picmapgen.h \
+ $(INC)pigraphx.h $(INC)pigraphgen.h \
+ $(INC)pifontx.h $(INC)pifontgen.h \
+ $(INC)pigraphuc.h $(INC)pievthandler.h \
  $(INC)psfile.h
 $(OBJ)pigfd2.o: pigfd2.cc pigfd2.h $(INC)generaldata.h \
  $(INC)exceptions.h $(INC)defs.h \
- $(INC)peidainit.h \
- $(INC)ppersist.h \
+ $(INC)peidainit.h $(INC)ppersist.h \
  $(INC)machine.h $(INC)perrors.h \
- $(INC)pclassids.h $(INC)poly.h \
+ $(INC)pclassids.h $(INC)ntupintf.h \
+ $(INC)machdefs.h $(INC)poly.h \
  $(INC)peida.h $(INC)utils.h \
  $(INC)fmath.h $(INC)cvector.h \
  $(INC)matrix.h $(INC)pi3ddrw.h \
- $(INC)pisysdep.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraph3d.h \
- $(INC)pibwdgx.h \
+ $(INC)pisysdep.h $(INC)pidrawer.h \
+ $(INC)pibwdggen.h $(INC)piwdgx.h \
+ $(INC)piwdggen.h $(INC)pimsghandler.h \
+ $(INC)picmap.h $(INC)picmapx.h \
+ $(INC)picmapgen.h $(INC)pigraphx.h \
+ $(INC)pigraphgen.h $(INC)pifontx.h \
+ $(INC)pifontgen.h $(INC)pigraphuc.h \
+ $(INC)pievthandler.h $(INC)psfile.h \
+ $(INC)pigraph3d.h $(INC)pibwdgx.h \
  $(INC)pigraphps.h
 $(OBJ)pihisto.o: pihisto.cc pihisto.h $(INC)histos.h \
  $(INC)peida.h $(INC)defs.h \
  $(INC)utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
+ $(INC)perrors.h $(INC)exceptions.h \
  $(INC)peidainit.h $(INC)fmath.h \
  $(INC)cvector.h $(INC)matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
+ $(INC)ppersist.h $(INC)pclassids.h \
+ $(INC)pidrawer.h $(INC)pibwdggen.h \
+ $(INC)pisysdep.h $(INC)machdefs.h \
+ $(INC)piwdgx.h $(INC)piwdggen.h \
+ $(INC)pimsghandler.h $(INC)picmap.h \
+ $(INC)picmapx.h $(INC)picmapgen.h \
+ $(INC)pigraphx.h $(INC)pigraphgen.h \
+ $(INC)pifontx.h $(INC)pifontgen.h \
+ $(INC)pigraphuc.h $(INC)pievthandler.h \
  $(INC)psfile.h $(INC)hisprof.h
 $(OBJ)pihisto2d.o: pihisto2d.cc $(INC)piapplgen.h \
- $(INC)pimsghandler.h \
- $(INC)pisysdep.h \
- $(INC)picontainerx.h \
- $(INC)picontainergen.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)picons.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h \
- $(INC)pibwdggen.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h $(INC)defs.h \
+ $(INC)pimsghandler.h $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ $(INC)pisysdep.h $(INC)picontainerx.h \
+ $(INC)picontainergen.h $(INC)piwdgx.h \
+ $(INC)piwdggen.h $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h $(INC)pimenux.h \
+ $(INC)pimenugen.h $(INC)picons.h \
+ $(INC)pistdwdgx.h $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h $(INC)pibwdggen.h \
+ $(INC)picmap.h $(INC)picmapx.h \
+ $(INC)picmapgen.h $(INC)pigraphx.h \
+ $(INC)pigraphgen.h $(INC)pifontx.h \
+ $(INC)pifontgen.h $(INC)pigraphuc.h \
+ $(INC)pievthandler.h $(INC)psfile.h \
  $(INC)pigraphps.h pihisto2d.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
+ $(INC)pioptmenux.h $(INC)pioptmenugen.h \
  $(INC)histos2.h $(INC)peida.h \
- $(INC)utils.h $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h $(INC)fmath.h \
- $(INC)histos.h $(INC)cvector.h \
- $(INC)matrix.h $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)piscdrawwdg.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)pidrawer.h \
+ $(INC)utils.h $(INC)perrors.h \
+ $(INC)exceptions.h $(INC)peidainit.h \
+ $(INC)fmath.h $(INC)histos.h \
+ $(INC)cvector.h $(INC)matrix.h \
+ $(INC)ppersist.h $(INC)pclassids.h \
+ $(INC)piscdrawwdg.h $(INC)piwindowx.h \
+ $(INC)piwindowgen.h $(INC)pidrawer.h \
  $(INC)nbrandom.h
-$(OBJ)piinit.o: piinit.cc $(INC)defs.h piinit.h \
- $(INC)imaginit.h \
- $(INC)outilsinit.h \
- $(INC)peidainit.h
-$(OBJ)pintup3d.o: pintup3d.cc pintup3d.h $(INC)ntuple.h \
- $(INC)ppersist.h $(INC)defs.h \
- $(INC)machine.h $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)pclassids.h \
- $(INC)dvlist.h $(INC)pi3ddrw.h \
- $(INC)pisysdep.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraph3d.h \
- $(INC)pibwdgx.h \
+$(OBJ)pintup3d.o: pintup3d.cc pintup3d.h $(INC)ntupintf.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h $(INC)pi3ddrw.h \
+ $(INC)pisysdep.h $(INC)pidrawer.h \
+ $(INC)pibwdggen.h $(INC)piwdgx.h \
+ $(INC)piwdggen.h $(INC)pimsghandler.h \
+ $(INC)picmap.h $(INC)picmapx.h \
+ $(INC)picmapgen.h $(INC)pigraphx.h \
+ $(INC)pigraphgen.h $(INC)pifontx.h \
+ $(INC)pifontgen.h $(INC)pigraphuc.h \
+ $(INC)pievthandler.h $(INC)psfile.h \
+ $(INC)pigraph3d.h $(INC)pibwdgx.h \
  $(INC)pigraphps.h
-$(OBJ)pintuple.o: pintuple.cc pintuple.h $(INC)ntuple.h \
- $(INC)ppersist.h $(INC)defs.h \
- $(INC)machine.h $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)pclassids.h \
- $(INC)dvlist.h $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
+$(OBJ)pintuple.o: pintuple.cc pintuple.h $(INC)ntupintf.h \
+ $(INC)machdefs.h $(INC)machine.h \
+ $(INC)defs.h $(INC)pidrawer.h \
+ $(INC)pibwdggen.h $(INC)pisysdep.h \
+ $(INC)piwdgx.h $(INC)piwdggen.h \
+ $(INC)pimsghandler.h $(INC)picmap.h \
+ $(INC)picmapx.h $(INC)picmapgen.h \
+ $(INC)pigraphx.h $(INC)pigraphgen.h \
+ $(INC)pifontx.h $(INC)pifontgen.h \
+ $(INC)pigraphuc.h $(INC)pievthandler.h \
  $(INC)psfile.h
-$(OBJ)pipodrw.o: pipodrw.cc pipodrw.h $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h $(INC)defs.h \
- $(INC)parradapter.h \
- $(INC)machine.h $(INC)lut.h \
- $(INC)cvector.h $(INC)matrix.h \
+$(OBJ)pisiadw.o: pisiadw.cc $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ $(INC)perrors.h $(INC)exceptions.h \
+ $(INC)peidainit.h $(INC)ctimer.h \
  $(INC)peida.h $(INC)utils.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h $(INC)fmath.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)histos2.h $(INC)histos.h \
- $(INC)generalfit.h \
- $(INC)generaldata.h \
- $(INC)poly.h
-$(OBJ)pisiadw.o: pisiadw.cc $(INC)machine.h \
- $(INC)defs.h $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)ctimer.h $(INC)peida.h \
- $(INC)utils.h $(INC)fmath.h \
- $(INC)nbmath.h pistdimgapp.h \
- $(INC)pisysdep.h \
- $(INC)piapplx.h \
- $(INC)piapplgen.h \
+ $(INC)fmath.h $(INC)nbmath.h \
+ pistdimgapp.h $(INC)pisysdep.h \
+ $(INC)piapplx.h $(INC)piapplgen.h \
  $(INC)pimsghandler.h \
  $(INC)picontainerx.h \
- $(INC)picontainergen.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)picons.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h \
- $(INC)pibwdggen.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraphps.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
- $(INC)pifilechox.h \
- $(INC)pifilechogen.h \
- $(INC)piimage.h \
+ $(INC)picontainergen.h $(INC)piwdgx.h \
+ $(INC)piwdggen.h $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h $(INC)pimenux.h \
+ $(INC)pimenugen.h $(INC)picons.h \
+ $(INC)pistdwdgx.h $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h $(INC)pibwdggen.h \
+ $(INC)picmap.h $(INC)picmapx.h \
+ $(INC)picmapgen.h $(INC)pigraphx.h \
+ $(INC)pigraphgen.h $(INC)pifontx.h \
+ $(INC)pifontgen.h $(INC)pigraphuc.h \
+ $(INC)pievthandler.h $(INC)psfile.h \
+ $(INC)pigraphps.h $(INC)piwindowx.h \
+ $(INC)piwindowgen.h $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h $(INC)pifilechox.h \
+ $(INC)pifilechogen.h $(INC)piimage.h \
  $(INC)parradapter.h $(INC)lut.h \
- $(INC)pidrawer.h \
- $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h \
- $(INC)picmapview.h \
- $(INC)pi3ddrw.h \
- $(INC)pigraph3d.h nobjmgr.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h dlftypes.h piacmd.h \
- $(INC)pdlmgr.h pisiadw.h \
- $(INC)pilistx.h \
- $(INC)pilistgen.h \
- $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h servnobjm.h
-$(OBJ)pistdimgapp.o: pistdimgapp.cc $(INC)machine.h \
- $(INC)defs.h $(INC)strutil.h \
- $(INC)timing.h $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)ctimer.h $(INC)peida.h \
+ $(INC)pidrawer.h $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h $(INC)picmapview.h \
+ $(INC)pi3ddrw.h $(INC)pigraph3d.h \
+ nobjmgr.h $(INC)anydataobj.h \
+ $(INC)ppersist.h $(INC)pclassids.h \
+ dlftypes.h piacmd.h pisiadw.h $(INC)pilistx.h \
+ $(INC)pilistgen.h $(INC)pistzwin.h \
+ $(INC)piperiodx.h $(INC)periodic.h \
+ servnobjm.h $(INC)pdlmgr.h
+$(OBJ)pistdimgapp.o: pistdimgapp.cc $(INC)machdefs.h \
+ $(INC)machine.h $(INC)defs.h \
+ $(INC)strutil.h $(INC)timing.h \
+ $(INC)perrors.h $(INC)exceptions.h \
+ $(INC)peidainit.h $(INC)ctimer.h \
+ $(INC)peida.h $(INC)utils.h \
+ $(INC)fmath.h $(INC)psighand.h \
+ $(INC)cimage.h $(INC)rzimage.h \
+ $(INC)rzvect.h $(INC)datatypes.h \
+ $(INC)ppersist.h $(INC)pclassids.h \
+ $(INC)dvlist.h pistdimgapp.h \
+ $(INC)pisysdep.h $(INC)piapplx.h \
+ $(INC)piapplgen.h $(INC)pimsghandler.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h $(INC)piwdgx.h \
+ $(INC)piwdggen.h $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h $(INC)pimenux.h \
+ $(INC)pimenugen.h $(INC)picons.h \
+ $(INC)pistdwdgx.h $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h $(INC)pibwdggen.h \
+ $(INC)picmap.h $(INC)picmapx.h \
+ $(INC)picmapgen.h $(INC)pigraphx.h \
+ $(INC)pigraphgen.h $(INC)pifontx.h \
+ $(INC)pifontgen.h $(INC)pigraphuc.h \
+ $(INC)pievthandler.h $(INC)psfile.h \
+ $(INC)pigraphps.h $(INC)piwindowx.h \
+ $(INC)piwindowgen.h $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h $(INC)pifilechox.h \
+ $(INC)pifilechogen.h $(INC)piimage.h \
+ $(INC)parradapter.h $(INC)lut.h \
+ $(INC)pidrawer.h $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h $(INC)picmapview.h \
+ $(INC)pi3ddrw.h $(INC)pigraph3d.h \
+ nobjmgr.h $(INC)anydataobj.h dlftypes.h piacmd.h \
+ pisiadw.h $(INC)pilistx.h \
+ $(INC)pilistgen.h $(INC)pistzwin.h \
+ $(INC)piperiodx.h $(INC)periodic.h \
+ pihisto2d.h $(INC)histos2.h \
+ $(INC)histos.h $(INC)cvector.h \
+ $(INC)matrix.h $(INC)piscdrawwdg.h \
+ $(INC)piimgtools.h $(INC)pidrwtools.h \
+ piinit.h $(INC)outilsinit.h \
+ $(INC)piversion.h piaversion.h
+$(OBJ)pistlist.o: pistlist.cc pistlist.h $(INC)stlist.h \
+ $(INC)machine.h $(INC)defs.h \
+ $(INC)exceptions.h $(INC)peidainit.h \
+ $(INC)perrors.h $(INC)dynccd.h \
+ $(INC)ppersist.h $(INC)pclassids.h \
+ $(INC)star.h $(INC)starmacro.h \
+ $(INC)psf.h $(INC)peida.h \
  $(INC)utils.h $(INC)fmath.h \
- $(INC)psighand.h $(INC)cimage.h \
- $(INC)rzimage.h $(INC)rzvect.h \
- $(INC)datatypes.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)dvlist.h pistdimgapp.h \
- $(INC)pisysdep.h \
- $(INC)piapplx.h \
- $(INC)piapplgen.h \
- $(INC)pimsghandler.h \
- $(INC)picontainerx.h \
- $(INC)picontainergen.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)picons.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h \
- $(INC)pibwdggen.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraphps.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
- $(INC)pifilechox.h \
- $(INC)pifilechogen.h \
- $(INC)piimage.h \
- $(INC)parradapter.h $(INC)lut.h \
- $(INC)pidrawer.h \
- $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h \
- $(INC)picmapview.h \
- $(INC)pi3ddrw.h \
- $(INC)pigraph3d.h nobjmgr.h dlftypes.h piacmd.h \
- $(INC)pdlmgr.h pisiadw.h \
- $(INC)pilistx.h \
- $(INC)pilistgen.h \
- $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h pihisto2d.h \
- $(INC)histos2.h $(INC)histos.h \
- $(INC)cvector.h $(INC)matrix.h \
- $(INC)piscdrawwdg.h \
- $(INC)piimgtools.h \
- $(INC)pidrwtools.h
-$(OBJ)pistlist.o: pistlist.cc pistlist.h $(INC)stlist.h \
- $(INC)machine.h $(INC)defs.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)perrors.h $(INC)dynccd.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h $(INC)star.h \
- $(INC)starmacro.h $(INC)psf.h \
- $(INC)peida.h $(INC)utils.h \
- $(INC)fmath.h $(INC)cimage.h \
- $(INC)rzimage.h $(INC)rzvect.h \
- $(INC)datatypes.h \
+ $(INC)cimage.h $(INC)rzimage.h \
+ $(INC)rzvect.h $(INC)datatypes.h \
  $(INC)dvlist.h $(INC)fct1dfit.h \
- $(INC)generalfit.h \
- $(INC)matrix.h $(INC)cvector.h \
- $(INC)generaldata.h \
+ $(INC)generalfit.h $(INC)matrix.h \
+ $(INC)cvector.h $(INC)generaldata.h \
+ $(INC)ntupintf.h $(INC)machdefs.h \
  $(INC)poly.h $(INC)fct2dfit.h \
- $(INC)pixelmap.h \
- $(INC)transfo.h $(INC)zfidu.h \
- $(INC)imgalig.h \
- $(INC)fitsimage.h \
- $(INC)fitsheader.h \
+ $(INC)pixelmap.h $(INC)transfo.h \
+ $(INC)zfidu.h $(INC)imgalig.h \
+ $(INC)fitsimage.h $(INC)fitsheader.h \
  $(INC)erosio.h $(INC)fitskeys.h \
- $(INC)erostape.h \
- $(INC)strutil.h \
- $(INC)ptrarray.h \
- $(INC)voidptrarray.h \
+ $(INC)erostape.h $(INC)strutil.h \
+ $(INC)ptrarray.h $(INC)voidptrarray.h \
  $(INC)basearray.h $(INC)array.h \
- $(INC)lockfile.h \
- $(INC)erostarfile.h \
- $(INC)xstrstream.h \
- $(INC)dates.h $(INC)tarlib.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
+ $(INC)lockfile.h $(INC)erostarfile.h \
+ $(INC)xstrstream.h $(INC)dates.h \
+ $(INC)tarlib.h $(INC)pidrawer.h \
+ $(INC)pibwdggen.h $(INC)pisysdep.h \
+ $(INC)piwdgx.h $(INC)piwdggen.h \
+ $(INC)pimsghandler.h $(INC)picmap.h \
+ $(INC)picmapx.h $(INC)picmapgen.h \
+ $(INC)pigraphx.h $(INC)pigraphgen.h \
+ $(INC)pifontx.h $(INC)pifontgen.h \
+ $(INC)pigraphuc.h $(INC)pievthandler.h \
  $(INC)psfile.h
-$(OBJ)servnobjm.o: servnobjm.cc $(INC)strutil.h \
- $(INC)datatypes.h \
- $(INC)machine.h $(INC)defs.h \
- nobjmgr.h $(INC)ppersist.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)pclassids.h dlftypes.h servnobjm.h \
- $(INC)ctimer.h $(INC)peida.h \
- $(INC)utils.h $(INC)fmath.h \
- $(INC)pdlmgr.h pistdimgapp.h \
- $(INC)pisysdep.h \
- $(INC)piapplx.h \
- $(INC)piapplgen.h \
- $(INC)pimsghandler.h \
- $(INC)picontainerx.h \
- $(INC)picontainergen.h \
- $(INC)piwdgx.h $(INC)piwdggen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)picons.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h \
- $(INC)pibwdggen.h \
- $(INC)picmap.h $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraphps.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
- $(INC)pifilechox.h \
- $(INC)pifilechogen.h \
- $(INC)piimage.h \
- $(INC)parradapter.h $(INC)lut.h \
- $(INC)pidrawer.h \
- $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h \
- $(INC)picmapview.h \
- $(INC)pi3ddrw.h \
- $(INC)pigraph3d.h piacmd.h pisiadw.h \
- $(INC)pilistx.h \
- $(INC)pilistgen.h \
- $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h $(INC)histos.h \
- $(INC)cvector.h $(INC)matrix.h \
- $(INC)histos2.h $(INC)ntuple.h \
- $(INC)dvlist.h $(INC)hisprof.h \
- $(INC)generaldata.h \
- $(INC)poly.h $(INC)cimage.h \
- $(INC)rzimage.h $(INC)rzvect.h \
- $(INC)stlist.h $(INC)dynccd.h \
- $(INC)star.h $(INC)starmacro.h \
- $(INC)psf.h $(INC)fct1dfit.h \
- $(INC)generalfit.h \
- $(INC)fct2dfit.h \
- $(INC)pixelmap.h \
- $(INC)transfo.h $(INC)zfidu.h \
- $(INC)imgalig.h \
- $(INC)fitsimage.h \
- $(INC)fitsheader.h \
- $(INC)erosio.h $(INC)fitskeys.h \
- $(INC)erostape.h \
- $(INC)ptrarray.h \
- $(INC)voidptrarray.h \
- $(INC)basearray.h $(INC)array.h \
- $(INC)lockfile.h \
- $(INC)erostarfile.h \
- $(INC)xstrstream.h \
- $(INC)dates.h $(INC)tarlib.h
Index: /trunk/SophyaPI/PIext/pistdimgapp.cc
===================================================================
--- /trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 560)
+++ /trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 561)
@@ -438,7 +438,4 @@
 pii->SetBinding(PIBK_elastic, PIBK_elastic, PIBK_elastic, PIBK_elastic);
 pii->SetZoomWin(zoom, false);
-// Centrage eventuel du pave
-if (mFImgCenter && (mXImgCenter > 0) && (mYImgCenter > 0))
-   pii->SetPave(mXImgCenter, mYImgCenter, false, true);
 pii->SetGloVWin(gimv, false);
 pii->SetCMapWin(cmapv, false);
@@ -447,5 +444,10 @@
 pii->ShowCursor(true);
 pii->SetUserData(NULL, oid);
-pii->SetImage(nouv, true);
+// Centrage eventuel du pave
+if (mFImgCenter && (mXImgCenter > 0) && (mYImgCenter > 0)) {
+  pii->SetImage(nouv, false);
+  pii->SetPave(mXImgCenter, mYImgCenter, true, true);
+  }
+else pii->SetImage(nouv, true);
 // printf("!!DBG!! PIImage Pos= %d %d  Size= %d %d \n", pii->XPos(), pii->YPos(), pii->XSize(), pii->YSize()   );
 mCurWin = win;
